Page MenuHomePhabricator

Create new wiki on the beta cluster to test API Portal
Closed, ResolvedPublic

Description

As identified in T246945#6181774, it would be helpful to have a wiki on the beta cluster available for testing the API Portal configuration. This includes proving that the use of $wgNamespaceProtection and $wgGroupPermissions (documented at T249834 and Setting up custom namespaces with restricted write access) are not in conflict with using SUL. This will, once T246949 (the security readiness review of Chameleon/Bootstrap) is resolved, also provide a place on the Wikimedia infrastructure for testing associated with T252462 (the performance review of Chameleon/Bootstrap).

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 1 2020, 5:45 PM

I am aware of this doc for adding a wiki on beta: https://wikitech.wikimedia.org/wiki/Nova_Resource:Deployment-prep/Add_a_wiki -- I'm not sure how out of date it might be (it was updated in Feb 2020, so that gives me some hope). @Reedy was the last person to add wikis (T246511: Create beta viwiki) judging from that task, the wiki seems to mostly be correct.

Reedy added a comment.Jun 2 2020, 4:43 PM

Are we targetting api.wikimedia.beta.wmflabs.org in this case?

We can get the the wiki up fairly easily, and then start poking around with config

Are we targetting api.wikimedia.beta.wmflabs.org in this case?

Sounds good to me.

Change 601808 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add wikimedia server_alias for api.wikimedia

https://gerrit.wikimedia.org/r/601808

Change 601809 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/restbase/deploy@master] Add api.wikimedia.beta.wmflabs.org

https://gerrit.wikimedia.org/r/601809

Change 601817 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] [beta] add apiwiki

https://gerrit.wikimedia.org/r/601817

Reedy added a comment.Jun 2 2020, 6:27 PM

James just pointed out that while "api" is not currently a language code, it's certainly possible it might be in future. Certainly any two or three characters potentially fall under this

[19:21:12] <James_F> apa is the code for the Apache macrolanguage cluster.
[19:21:25] <James_F> So it'd be plausible for one of the Apache languages to be granted api in the future.

As such, for the dbname we shouldn't just use apiwiki (to save pain later) as the dbname.

At point of creation, dbname doesn't matter at all, as we can map it to the hostname

This obviously affects T246945 too

As such, wikimediaapiwiki or something is suggested. As long as it's something obvious (ie not labswiki == wikitech), it doesn't matter too much, so definitely not much thought needs to be put into this

We are fine with your choice of dbname. You could also consider 'apiportal', but we are OK with whatever you think is best.

Change 601817 merged by jenkins-bot:
[operations/mediawiki-config@master] [beta] add apiportalwiki

https://gerrit.wikimedia.org/r/601817

Mentioned in SAL (#wikimedia-releng) [2020-06-02T21:15:58Z] <Reedy> ran mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki en wikimedia apiportalwiki api.wikimedia.beta.wmflabs.org T254185

Mentioned in SAL (#wikimedia-operations) [2020-06-02T21:17:53Z] <reedy@deploy1001> Synchronized dblists/all-labs.dblist: beta apiportalwiki T254185 (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-06-02T21:19:11Z] <reedy@deploy1001> Synchronized wikiversions-labs.json: beta apiportalwiki T254185 (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2020-06-02T21:20:36Z] <reedy@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: beta apiportalwiki T254185 (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2020-06-02T21:21:53Z] <reedy@deploy1001> Synchronized wmf-config/config/apiportalwiki.yaml: beta apiportalwiki T254185 (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2020-06-02T21:23:53Z] <reedy@deploy1001> Synchronized multiversion/MWMultiVersion.php: beta apiportalwiki T254185 (duration: 01m 06s)

Reedy added a comment.Jun 2 2020, 9:36 PM

Wiki created and working fine - https://api.wikimedia.beta.wmflabs.org/wiki/Main_Page (note https://api.wikimedia.beta.wmflabs.org doesn't work due to caching. That should fix itself)

Permissions and restrictions as per T249834: Configure permissions not done yet, pending some further clarification

Reedy added a comment.Jun 2 2020, 10:35 PM

Wiki created and working fine

Well, VE might be wonky until the RestBase is merged

Kizule added a subscriber: Kizule.Jun 3 2020, 12:01 AM

Mobile view no works per default, but there is option. See screenshot.

Change 601920 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add apiportalwiki to wgLocalVirtualHosts

https://gerrit.wikimedia.org/r/601920

Change 601920 merged by jenkins-bot:
[operations/mediawiki-config@master] Add apiportalwiki to wgLocalVirtualHosts

https://gerrit.wikimedia.org/r/601920

Change 601924 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Make api.wikimedia redirect to mobile site

https://gerrit.wikimedia.org/r/601924

Reedy added a comment.Jun 3 2020, 1:19 AM
In T254185#6187194, @Zoranzoki21 wrote:

Mobile view no works per default, but there is option. See screenshot.

Because Varnish doesn't know to redirect api.wikimedia

Change 601808 merged by Ema:
[operations/puppet@production] Add wikimedia server_alias for api.wikimedia

https://gerrit.wikimedia.org/r/601808

Per my comment on T246945, the mobile view in the screenshot works for us. We don't need the site to redirect to m.api.wikimedia.org. Thanks for checking!

WDoranWMF closed this task as Resolved.Jun 4 2020, 2:15 PM
WDoranWMF claimed this task.
Reedy reopened this task as Open.Jun 4 2020, 2:24 PM
Reedy removed WDoranWMF as the assignee of this task.

Please don't close tasks that are not finished

Change 601809 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Add api.wikimedia.beta.wmflabs.org

https://gerrit.wikimedia.org/r/601809

Reedy closed this task as Resolved.Jun 4 2020, 10:23 PM
Reedy claimed this task.

Change 601924 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Make api.wikimedia redirect to mobile site

https://gerrit.wikimedia.org/r/601924

This is still a TODO, but definitely not needed for any sort of testing